Get a destination
curl --request GET \
--url https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": {
"Authorization": "Bearer 1234"
},
"streamName": "my-data-stream",
"region": "us-east-1",
"partitionKeyTemplate": "{{.integration_id}}",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD",
"username": "default",
"tableName": "events",
"database": "analytics",
"accountIdentifier": "myorg-myaccount",
"userId": "SVC_AMPERSAND",
"dbName": "ANALYTICS",
"schemaName": "PUBLIC",
"projectId": "my-gcp-project",
"datasetId": "analytics",
"tableId": "events",
"workgroupName": "my-workgroup",
"clusterIdentifier": "my-cluster",
"dbUser": "ampersand",
"account": "mystorageaccount",
"container": "ampersand-data",
"queueUrl": "https://sqs.us-east-1.amazonaws.com/123456789012/my-queue",
"topicId": "ampersand-events",
"serverUrl": "amqp://rabbit.example.com:5672",
"exchange": "ampersand.events",
"tls": true,
"name": "ampersand-events",
"batchSize": 1000,
"maxWaitSecs": 30
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"secrets": {
"webhookSigningKey": "<string>"
}
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Destination
Get a destination
GET
/
projects
/
{projectIdOrName}
/
destinations
/
{destination}
Get a destination
curl --request GET \
--url https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ampersand.ai/v1/projects/{projectIdOrName}/destinations/{destination}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": {
"Authorization": "Bearer 1234"
},
"streamName": "my-data-stream",
"region": "us-east-1",
"partitionKeyTemplate": "{{.integration_id}}",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD",
"username": "default",
"tableName": "events",
"database": "analytics",
"accountIdentifier": "myorg-myaccount",
"userId": "SVC_AMPERSAND",
"dbName": "ANALYTICS",
"schemaName": "PUBLIC",
"projectId": "my-gcp-project",
"datasetId": "analytics",
"tableId": "events",
"workgroupName": "my-workgroup",
"clusterIdentifier": "my-cluster",
"dbUser": "ampersand",
"account": "mystorageaccount",
"container": "ampersand-data",
"queueUrl": "https://sqs.us-east-1.amazonaws.com/123456789012/my-queue",
"topicId": "ampersand-events",
"serverUrl": "amqp://rabbit.example.com:5672",
"exchange": "ampersand.events",
"tls": true,
"name": "ampersand-events",
"batchSize": 1000,
"maxWaitSecs": 30
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"secrets": {
"webhookSigningKey": "<string>"
}
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Path Parameters
Query Parameters
Response
OK
Destination object with secrets field (returned by getDestination when includeSecrets is true)
Was this page helpful?

